curl https://production.methodfi.com/report_schedules \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "payments.created.previous_day",
"email_recipients": ["reports@example.com"]
}'
const reportSchedule = await method.reportSchedules.create({
type: 'payments.created.previous_day',
email_recipients: ['reports@example.com'],
});
report_schedule = method.report_schedules.create({
'type': 'payments.created.previous_day',
'email_recipients': ['reports@example.com']
})
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
Report Schedules
Create a Report Schedule
POST
/
report_schedules
curl https://production.methodfi.com/report_schedules \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "payments.created.previous_day",
"email_recipients": ["reports@example.com"]
}'
const reportSchedule = await method.reportSchedules.create({
type: 'payments.created.previous_day',
email_recipients: ['reports@example.com'],
});
report_schedule = method.report_schedules.create({
'type': 'payments.created.previous_day',
'email_recipients': ['reports@example.com']
})
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
Creates a new active Report Schedule for a single supported Report
type.
Once created, the schedule runs on Method’s standard cadence for that type.
See Supported Report Types.
A team can only have one active schedule per type — creating a duplicate
returns an error.
Body
Returns
Returns the newly created Report Schedule object.curl https://production.methodfi.com/report_schedules \
-X POST \
-H "Method-Version: 2025-12-01" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"type": "payments.created.previous_day",
"email_recipients": ["reports@example.com"]
}'
const reportSchedule = await method.reportSchedules.create({
type: 'payments.created.previous_day',
email_recipients: ['reports@example.com'],
});
report_schedule = method.report_schedules.create({
'type': 'payments.created.previous_day',
'email_recipients': ['reports@example.com']
})
{
"id": "rpt_sch_Gqjh8pzeUfzH6",
"type": "payments.created.previous_day",
"email_recipients": [
"reports@example.com"
],
"status": "active",
"created_at": "2026-06-01T13:21:10.386Z",
"updated_at": "2026-06-01T13:21:10.386Z"
}
⌘I